# Asterisk Project : Asterisk 13 Application_WaitForSilence

Created by wikibot on Aug 08, 2014

# WaitForSilence()

### Synopsis

Waits for a specified amount of silence.

### Description

Waits for up to silencerequired milliseconds of silence, iterations times. An optional timeout specified the number of seconds to return after, even if we do not receive the specified amount of silence. Use timeout with caution, as it may defeat the purpose of this application, which is to wait indefinitely until silence is detected on the line. This is particularly useful for reverse-911-type call broadcast applications where you need to wait for an answering machine to complete its spiel before playing a message.

Typically you will want to include two or more calls to WaitForSilence when dealing with an answering machine; first waiting for the spiel to finish, then waiting for the beep, etc.

Examples:

WaitForSilence(500,2) will wait for 1/2 second of silence, twice

WaitForSilence(1000) will wait for 1 second of silence, once

WaitForSilence(300,3,10) will wait for 300ms silence, 3 times, and returns after 10 sec, even if silence is not detected

Sets the channel variable `WAITSTATUS` to one of these values:

- `WAITSTATUS`
  - SILENCE - if exited with silence detected.
  - TIMEOUT - if exited without silence detected after timeout.

### Syntax

    WaitForSilence(silencerequired,[iterations,[timeout]])

##### Arguments

- `silencerequired`
- `iterations` - If not specified, defaults to `1`.
- `timeout` - Is specified only to avoid an infinite loop in cases where silence is never achieved.

### See Also

- Asterisk 13 Application_WaitForNoise

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538